complexType "FxSwapLeg"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 12 elements
Defined: | globally in fpml-fx-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | tradeIdentifierReference?, exchangedCurrency1?, exchangedCurrency2?, dealtCurrency?, (tenorName | tenorPeriod)?, (valueDate | (currency1ValueDate?, currency2ValueDate?))?, exchangeRate?, nonDeliverableSettlement?, disruption*
</...>

Content Model Elements (12):

  currency1ValueDate,
  currency2ValueDate,
  dealtCurrency,
  disruption,
  exchangedCurrency1,
  exchangedCurrency2,
  exchangeRate (defined in FxCoreDetails.model group),
  nonDeliverableSettlement (defined in FxCoreDetails.model group),
  tenorName,
  tenorPeriod (defined in FxTenor.model group),
  tradeIdentifierReference (defined in FxSwapLeg complexType),
  valueDate (defined in FxCoreDetails.model group)

All Direct / Indirect Based Elements (2):

  farLeg, nearLeg

Known Usage Locations

- As direct type of elements (2):
  farLeg, nearLeg

Type Definition Detail

Type Derivation Tree Leg (extension) FxSwapLeg

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="FxSwapLeg"> <xsd:complexContent> <xsd:extension base="Leg"> <xsd:sequence> <xsd:element minOccurs="0" name="tradeIdentifierReference" type="PartyTradeIdentifierReference"/> <xsd:group ref="FxCoreDetails.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/12)
tradeIdentifierReference

  Type: | PartyTradeIdentifierReference, empty content

  A reference to a party trade ID. This is provided in case the message creator wishes to record that the swap leg is assocatiated with a particular trade identifier; typically this is used for identifying a USI assocatied wih the leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="tradeIdentifierReference" type="PartyTradeIdentifierReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.